package org.richfaces.realworld.service;

import java.util.List;

import org.richfaces.realworld.domain.Image;
import org.richfaces.realworld.domain.Shelf;

public interface ISearchAction {
	public List<Image> searchByImage(String query, boolean searchInMyAlbums, boolean searchInShared);
	
	public List<Image> searchByTags(String query, boolean searchInMyAlbums, boolean searchInShared);
	
	public List<Image> searchByAlbum(String query, boolean searchInMyAlbums, boolean searchInShared);
	
	public List<Image> searchByUsers(String query, boolean searchInMyAlbums, boolean searchInShared);
	
	public List<Shelf> searchByShelfs(String query,boolean searchInMyAlbums, boolean searchInShared);
	
}
